Package org.flowable.eventregistry.api.model

# Interface EventModelBuilder

public interface EventModelBuilder

Author:
  Joram Barrez

- ## Method Summary

  Modifier and Type
  Method
  Description
  `EventModelBuilder`
  `category(String category)`
  Set the category for the event deployment.
  `EventModelBuilder`
  `correlationParameter(String name, String type)`
  Defines one parameters for correlation that can be used in models to map onto.
  `org.flowable.eventregistry.model.EventModel`
  `createEventModel()`
  Creates a new event model, but does not deploy it to the Event registry engine.
  `EventDeployment`
  `deploy()`
  Deploys a new event definition for this event model.
  `EventModelBuilder`
  `deploymentName(String deploymentName)`
  Set the name for the event deployment.
  `EventModelBuilder`
  `deploymentTenantId(String deploymentTenantId)`
  Set the tenant id for the event deployment.
  `EventModelBuilder`
  `fullPayload(String name)`
  Defines the property name for the full payload.
  `EventModelBuilder`
  `header(String name, String type)`
  Defines one header element of an event definition.
  `EventModelBuilder`
  `headerWithCorrelation(String name, String type)`
  Defines one header element with correlation for an event definition.
  `EventModelBuilder`
  `key(String key)`
  Each event type will uniquely be identified with a key (similar to the key of a process/case/decision/... definition), which is typically referenced in process/case/... models.
  `EventModelBuilder`
  `metaParameter(String name, String type)`
  Defines one meta parameter that can be used in models.
  `EventModelBuilder`
  `parentDeploymentId(String parentDeploymentId)`
  Set the parent deployment id for the event deployment.
  `EventModelBuilder`
  `payload(String name, String type)`
  Defines one payload element of an event definition.
  `EventModelBuilder`
  `resourceName(String resourceName)`
  Set the resource name for the event model.

- ## Method Details

  - ### key

    EventModelBuilder key(String key)
    Each event type will uniquely be identified with a key (similar to the key of a process/case/decision/... definition), which is typically referenced in process/case/... models.

  - ### deploymentName

    EventModelBuilder deploymentName(String deploymentName)
    Set the name for the event deployment.

  - ### resourceName

    EventModelBuilder resourceName(String resourceName)
    Set the resource name for the event model.

  - ### category

    EventModelBuilder category(String category)
    Set the category for the event deployment.

  - ### deploymentTenantId

    EventModelBuilder deploymentTenantId(String deploymentTenantId)
    Set the tenant id for the event deployment.

  - ### parentDeploymentId

    EventModelBuilder parentDeploymentId(String parentDeploymentId)
    Set the parent deployment id for the event deployment.

  - ### header

    EventModelBuilder header(String name, String type)
    Defines one header element of an event definition. An header elements is data that can be used for example as metadata for an event.

  - ### headerWithCorrelation

    EventModelBuilder headerWithCorrelation(String name, String type)
    Defines one header element with correlation for an event definition. An header elements is data that can be used for example as metadata for an event.

  - ### payload

    EventModelBuilder payload(String name, String type)
    Defines one payload element of an event definition. Such payload elements are data that is contained within an event. If certain payload needs to be used to correlate runtime instances, use the `correlationParameter(String, String)` method. One `EventModel` typically has multiple such elements.

  - ### correlationParameter

    EventModelBuilder correlationParameter(String name, String type)
    Defines one parameters for correlation that can be used in models to map onto. Each correlation parameter is automatically a `payload(String, String)` element. Will create a correlation `EventPayload` behind the scenes.

  - ### metaParameter

    EventModelBuilder metaParameter(String name, String type)
    Defines one meta parameter that can be used in models. Each meta parameter is automatically a `payload(String, String)` element.

  - ### fullPayload

    EventModelBuilder fullPayload(String name)
    Defines the property name for the full payload.

  - ### createEventModel

    org.flowable.eventregistry.model.EventModel createEventModel()
    Creates a new event model, but does not deploy it to the Event registry engine.

  - ### deploy

    EventDeployment deploy()
    Deploys a new event definition for this event model.